# SphereOutlineGeometry

#### new Cesium.SphereOutlineGeometry(options)
Core/SphereOutlineGeometry.js 31

A description of the outline of a sphere.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`radius` | Number | `1.0` | optional The radius of the sphere.
`stackPartitions` | Number | `10` | optional The count of stacks for the sphere (1 greater than the number of parallel lines).
`slicePartitions` | Number | `8` | optional The count of slices for the sphere (Equal to the number of radial lines).
`subdivisions` | Number | `200` | optional The number of points per line, determining the granularity of the curvature .

##### Throws:

- DeveloperError : options.stackPartitions must be greater than or equal to one.
- DeveloperError : options.slicePartitions must be greater than or equal to zero.
- DeveloperError : options.subdivisions must be greater than or equal to zero.

##### Example:

    var sphere = new Cesium.SphereOutlineGeometry({
      radius : 100.0,
      stackPartitions : 6,
      slicePartitions: 5
    });
    var geometry = Cesium.SphereOutlineGeometry.createGeometry(sphere);

### Members

#### static Cesium.SphereOutlineGeometry.packedLength : Number
Core/SphereOutlineGeometry.js 49

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.SphereOutlineGeometry.createGeometry(sphereGeometry) → Geometry|undefined
Core/SphereOutlineGeometry.js 115

Computes the geometric representation of an outline of a sphere, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`sphereGeometry` | SphereOutlineGeometry | A description of the sphere outline.

##### Returns:

The computed vertices and indices.

#### static Cesium.SphereOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/SphereOutlineGeometry.js 60

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | SphereOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.SphereOutlineGeometry.unpack(array, startingIndex, result) → SphereOutlineGeometry
Core/SphereOutlineGeometry.js 89

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | SphereOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new SphereOutlineGeometry instance if one was not provided.